BADBLOCKS(8)

NOM
badblocks - Rechercher des blocs défectueux sur un périphérique

SYNOPSIS
badblocks [ -svwnfBX ] -b taille_bloc ] [ -c nombre_blocs ] [ -e nombre_max_blocs_défectueux ] [ -d facteur_retard_lecture ] [ -i fichier_entrée ] [ -o fichier_sortie ] [ -p nombre_passes ] [ -t motif_test ] périphérique [ dernier-bloc ] [ premier-bloc ]

DESCRIPTION
badblocks est utilisé pour rechercher des blocs défectueux sur un périphérique (habituellement une partition de disque). périphérique est le fichier spécial correspondant au périphérique (par exemple /dev/hdc1). dernier-bloc est le dernier bloc à vérifier ; s'il n'est pas indiqué, le dernier bloc du périphérique est utilisé par défaut. premier-bloc est un paramètre optionnel indiquant le numéro de bloc de départ du test, ce qui permet à celui-ci de démarrer en plein milieu du disque. S'il n'est pas indiqué, le premier bloc du disque est utilisé par défaut.

Note importante : si la sortie de badblocks doit alimenter le programme e2fsck ou mke2fs, il est important d'indiquer correctement la taille de bloc, car les numéros de blocs qui sont générés sont très dépendants de la taille de bloc utilisée. Pour cette raison, il est fortement recommandé que les utilisateurs n'exécutent pas badblocks directement, mais qu'ils utilisent plutôt l'option -c des programmes e2fsck et mke2fs.

OPTIONS

-b taille_bloc
    Indiquer la taille des blocs en octets. La taille par défaut est 1024.

-c nombre-de-blocs
    est le nombre de blocs à tester en une fois (64 par défaut).

-e nombre_max_blocs_défectueux
    Indiquer un nombre maximum de blocs défectueux avant que le test soit arrêté. Le nombre par défaut est 0, ce qui signifie que le test continuera jusqu'à ce que la fin de l'intervalle soit atteinte.

-d facteur_retard_lecture
    Ce paramètre, s'il n'est pas nul, indique à badblocks d'attendre entre les lectures s'il n'y a pas eu d'erreurs lors de l'opération de lecture ; le délai sera calculé comme un pourcentage du temps qui a été nécessaire pour l'opération de lecture. En d'autres termes, une valeur de 100 fera que chaque lecture sera retardée par le temps pris pour la lecture précédente et une valeur de 200 par deux fois ce temps.

-f  Normalement, badblocks refusera d'effectuer un test en lecture-écriture ou un test non destructif sur un périphérique monté, car tous deux peuvent faire planter le système même si le système de fichiers est monté en lecture seule. Cela peut être forcé en utilisant le drapeau -f, mais cette option ne devrait presque jamais être utilisée ; si vous pensez que vous êtes plus intelligent(e) que le programme badblocks, vous vous trompez certainement. Le seul cas où cette option peut être sans danger est lorsque le fichier /etc/mtab est incorrect et que le périphérique n'est en fait pas monté.

-i fichier_entrée
    Lire une liste des blocs défectueux déjà connus. badblocks n'analysera pas ces blocs puisque l'on sait qu'ils sont défectueux. Si le fichier_entrée indiqué est « - », la liste est lue à partir de l'entrée standard. Les blocs listés seront omis dans la liste des nouveaux blocs défectueux produite sur la sortie standard ou dans le fichier de sortie. L'option -b de dumpe2fs(8) peut être utilisée pour récupérer la liste des blocs actuellement marqués comme étant défectueux sur un système de fichiers existant, dans un format convenant à l'utilisation avec cette option.

-n  Utiliser le mode lecture-écriture non destructif. Par défaut, seul un test en lecture seule non destructif est effectué. Cette option ne peut être combinée avec l'option -w, car elles sont mutuellement exclusives.

-o fichier_sortie
    Écrire la liste des blocs défectueux dans le fichier indiqué. Sans cette option, badblocks affiche la liste sur la sortie standard. Le format de ce fichier peut être utilisé avec l'option : -l de e2fsck(8) ou de mke2fs(8).

-p nombre_passes
    Répéter l'analyse du disque jusqu'à ce que plus aucun nouveau bloc ne soit découvert en nombre_passes analyses consécutives du disque. Vaut 0 par défaut, ce qui signifie que badblocks se terminera après la première passe.

-s  Afficher la progression de l'analyse en indiquant un rapide pourcentage de la progression de la passe en cours de badblocks. Notez que badblocks peut effectuer plusieurs passes sur le disque, en particulier si l'option -p ou -w est fournie par l'utilisateur.

-t motif_test
    Indiquer un motif de test à lire (et écrire) dans les blocs du disque. motif_test peut être soit une valeur numérique comprise entre 0 et ULONG_MAX-1 (valeurs incluses), ou le mot « random », qui indique que les blocs doivent être remplis avec une valeur aléatoire. Dans le mode lecture-écriture (-w) et le mode non destructif (-n), un motif de test ou plus peuvent être indiqués en précisant une option -t pour chaque motif de test voulu. Pour le mode en lecture seule, un seul motif de test est accepté et il ne peut pas être « random ». Le test en lecture seule avec un motif de test suppose que le disque a déjà été rempli avec ce motif ; sinon, un grand nombre de blocs seront considérés comme défectueux. Si plusieurs motifs de test sont indiqués, alors tous les blocs sont testés avec un motif avant de passer au motif suivant.

-v  Mode verbeux. Le nombre d'erreurs de lecture, d'écriture et de corruption des données sera affiché sur le flux d'erreur standard.

-w  Utiliser un test en mode écriture. Avec cette option, badblocks recherchera les blocs défectueux en écrivant quelques motifs (0xaa, 0x55, 0xff, 0x00) sur chaque bloc du périphérique et en relisant celui-ci pour en vérifier le contenu. Cette option ne peut être combinée avec l'option -n, car elles sont mutuellement exclusives.

-B  Utiliser des tampons d'entrées/sorties, au lieu d'entrées/sorties directes (« Direct I/O »), même si celles-ci sont disponibles.

-X  Option interne, uniquement destinée à être utilisée par e2fsck(8) et mke2fs(8). Elle permet d'éviter le mode exclusif du test qui s'assure que le périphérique n'est pas en cours d'utilisation.

AVERTISSEMENT
N'utilisez jamais l'option -w sur un périphérique contenant un système de fichiers existant. Cette option efface les données ! Si vous voulez effectuer des tests en mode écriture sur un système de fichiers existant, utilisez plutôt l'option -n. Elle est plus lente, mais elle préserve vos données.

Avec l'option -e, badblocks peut n'afficher qu'une liste incomplète de blocs défectueux. Il est donc recommandé de ne l'utiliser que si l'on cherche à savoir s'il y a ou pas des blocs défectueux sur le périphérique, et non pas quand on souhaite avoir la liste des blocs défectueux.

AUTEUR
badblocks a été écrit par Rémy Card <Remy.Card@linux.org>. Le responsable actuel est Theodore Ts'o <tytso@alum.mit.edu>. Le test de lecture-écriture non destructif a été implémenté par David Beattie <dbeattie@softhome.net>.

DISPONIBILITÉ
badblocks fait partie du paquet e2fsprogs et est disponible sur http://e2fsprogs.sourceforge.net.

VOIR AUSSI
e2fsck(8), mke2fs(8)

TRADUCTION
Cette page de manuel a été traduite par Frédéric Delanoy en 2000. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.